Bug 45215 - Openssh should be internationalized
Openssh should be internationalized
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-20 18:22 EDT by Michael Meissner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-25 04:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Meissner 2001-06-20 18:22:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3 i686)

Description of problem:
Openssh only prints its messages in English, and expects yes/no upon
input.  If the LANG variable is set to say french, the messages should
be in french, and the user should answer oui/non instead of yes/no.

How reproducible:
Always

Steps to Reproduce:
1. set environment variable LANG to "french".
2. slogin to a machine that is not in your known_hosts file.
3. slogin will issue a message (in English) saying type "yes" or "no"    
to add the host to the known hosts list.
4. User must type "yes" or "no" at this point, instead of oui/non.
	

Actual Results:  Messages and prompts are in english.

Expected Results:  Error messages should be in French, and user should be
prompted to type "oui" or "non" instead of "yes" or "no".

Additional info:
Comment 1 Tomas Mraz 2005-05-25 04:08:27 EDT
I'm sorry, but this must be done upstream.
Report it at bugzilla.mindrot.org.

Note You need to log in before you can comment on or make changes to this bug.